<?php  

//widget creekoo_tags

add_action('widgets_init', create_function('', 'return register_widget("creekoo_tags");'));

class creekoo_tags extends WP_Widget {
	function creekoo_tags() {
		$this->WP_Widget('creekoo_tags', '侧边栏：标签云 ', array( 'description' => '显示热门标签' ));
	}
	function widget($args, $instance) {
		extract($args, EXTR_SKIP);
		echo $before_widget;
		$title = apply_filters('widget_name', $instance['title']);

		echo $before_title.$title.$after_title; 
		echo '<div class="tags">';
		echo creekoo_w_tags( );
		echo '<div class="clear"></div></div>';
		echo $after_widget;
	}
	function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		return $instance;
	}
	function form($instance) {
		$instance = wp_parse_args( (array) $instance, array( 
			'title' => '标签云',
			) 
		);

?>
		<p>
			<label>
				标题：
				<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $instance['title']; ?>" />
			</label>
		</p>

<?php
	}
}

function creekoo_w_tags( ){ ?>
<?php wp_tag_cloud('smallest=12&largest=12&unit=px&number=20&orderby=count&order=RAND');?>
<?php	
}