<?php  

//widget colorbar

add_action('widgets_init', create_function('', 'return register_widget("creekoo_colorbar");'));

class creekoo_colorbar extends WP_Widget {
	function creekoo_colorbar() {
		$this->WP_Widget('creekoo_colorbar', '侧边栏：ColorBar ', array( 'description' => 'ColorBar，彩色文章推荐。'));
	}
	function widget($args, $instance) {
		extract($args, EXTR_SKIP);
		echo $before_widget;
		$title = apply_filters('widget_name', $instance['title']);
		$code = $instance['code'];
		echo '<ul class="colorbar">';
		echo $code;
		echo '</ul><div class="clear"></div>';
		echo $after_widget;
	}
	function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['code'] = $new_instance['code'];
		return $instance;
	}
	function form($instance) {
		$instance = wp_parse_args( (array) $instance, array( 
			'title'        => date('Y-m-d'),
			'code'        => '<li><a style="background-color:#F0547C;" target="_blank" href="http://www.yanxisheji.com/">文章标题一</a></li>
<li><a style="background-color:#FFA300;" target="_blank" href="http://www.yanxisheji.com/">文章标题二</a></li>
<li><a style="background-color:#3ABE73;" target="_blank" href="http://www.yanxisheji.com/">文章标题三</a></li>'
			) 
		);
		$title = $instance['title'];
		$code = $instance['code'];
?>
		<p>
			<label>
				ColorBar名称：
				<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo attribute_escape($title); ?>" class="widefat" />
			</label>
		</p>
		
		<p>
			<label>
				ColorBar代码：<a style="font-weight:bold;color:#f60;text-decoration:none;" href="javascript:;" title="新增ColorBar文章数量，按照默认的li标签格式换行输入即可。">？</a>
				<textarea id="<?php echo $this->get_field_id('code'); ?>" name="<?php echo $this->get_field_name('code'); ?>" class="widefat" rows="15" cols="20" style="font-family:Courier New;"><?php echo attribute_escape($code); ?></textarea>
			</label>
		</p>
		<p>ColorBar预览</p>
		<ul style="text-align:center">
			<?php echo $code; ?>
		</ul>
<?php
	}
}

?>